%global verdir %%(echo %{version} | cut -d. -f1,2)

Summary:       A GTK widget for VNC clients
Name:          gtk-vnc
Version:       1.3.1
Release:       2%{?dist}
License:       LGPLv2+
URL:           https://gitlab.gnome.org/GNOME/gtk-vnc
Source0:       https://download.gnome.org/sources/%{name}/%{verdir}/%{name}-%{version}.tar.xz

BuildRequires: meson python3-devel
BuildRequires: gnutls-devel libgcrypt-devel cyrus-sasl-devel zlib-devel
BuildRequires: gobject-introspection-devel gtk3-devel vala
BuildRequires: pulseaudio-libs-devel
BuildRequires: /usr/bin/pod2man

Requires: gvnc = %{version}-%{release}

%description
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.


%package -n gvnc
Summary: A GObject for VNC connections

%description -n gvnc
gvnc is a GObject for managing a VNC connection. It provides all the
infrastructure required to build a VNC client without having to deal
with the raw protocol itself.


%package -n gvnc-devel
Summary:       Libraries, includes, etc. to compile with the gvnc library
Requires:      gvnc = %{version}-%{release}
Requires:      pkgconfig

%description -n gvnc-devel
Libraries, includes, etc. to compile with the gvnc library


%package -n gvncpulse
Summary:       A Pulse Audio bridge for VNC connections
Requires:      gvnc = %{version}-%{release}

%description -n gvncpulse
gvncpulse is a bridge to the Pulse Audio system for VNC.
It allows VNC clients to play back audio on the local system

%package -n gvncpulse-devel
Summary:       Libraries, includes, etc. to compile with the gvncpulse library
Requires:      gvncpulse = %{version}-%{release}
Requires:      pkgconfig

%description -n gvncpulse-devel
Libraries, includes, etc. to compile with the gvncpulse library


%package -n gvnc-tools
Summary:       Command line VNC tools
Requires:      gvnc = %{version}-%{release}

%description -n gvnc-tools
Provides useful command line utilities for interacting with VNC servers.
Includes the gvnccapture program for capturing screenshots of a VNC desktop

%package -n gtk-vnc2
Summary:       A GTK3 widget for VNC clients
Requires:      gvnc = %{version}-%{release}

%description -n gtk-vnc2
gtk-vnc is a VNC viewer widget for GTK3. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

%package -n gtk-vnc2-devel
Summary:       Development files to build GTK3 applications with gtk-vnc
Requires:      gtk-vnc2 = %{version}-%{release}
Requires:      pkgconfig gtk3-devel

%description -n gtk-vnc2-devel
Libraries, includes, etc. to compile with the gtk-vnc library


%prep
%autosetup -n gtk-vnc-%{version} -p1

%build
%meson
%meson_build
chmod -x examples/*.pl examples/*.js examples/*.py


%install
%meson_install
%find_lang %{name}


%check
%meson_test


%files -n gvnc -f %{name}.lang
%{_libdir}/libgvnc-1.0.so.*
%{_libdir}/girepository-1.0/GVnc-1.0.typelib
%{_datadir}/vala/vapi/gvnc-1.0.deps
%{_datadir}/vala/vapi/gvnc-1.0.vapi

%files -n gvnc-devel
%{_libdir}/libgvnc-1.0.so
%{_libdir}/pkgconfig/gvnc-1.0.pc
%dir %{_includedir}/gvnc-1.0/
%{_includedir}/gvnc-1.0/*.h
%{_datadir}/gir-1.0/GVnc-1.0.gir


%files -n gvncpulse -f %{name}.lang
%{_libdir}/libgvncpulse-1.0.so.*
%{_libdir}/girepository-1.0/GVncPulse-1.0.typelib
%{_datadir}/vala/vapi/gvncpulse-1.0.deps
%{_datadir}/vala/vapi/gvncpulse-1.0.vapi

%files -n gvncpulse-devel
%{_libdir}/libgvncpulse-1.0.so
%{_libdir}/pkgconfig/gvncpulse-1.0.pc
%dir %{_includedir}/gvncpulse-1.0/
%{_includedir}/gvncpulse-1.0/*.h
%{_datadir}/gir-1.0/GVncPulse-1.0.gir


%files -n gvnc-tools
%license COPYING.LIB
%doc AUTHORS ChangeLog ChangeLog-old NEWS README
%{_bindir}/gvnccapture
%{_mandir}/man1/gvnccapture.1*


%files -n gtk-vnc2
%{_libdir}/libgtk-vnc-2.0.so.*
%{_libdir}/girepository-1.0/GtkVnc-2.0.typelib
%{_datadir}/vala/vapi/gtk-vnc-2.0.deps
%{_datadir}/vala/vapi/gtk-vnc-2.0.vapi


%files -n gtk-vnc2-devel
%doc examples/gvncviewer.*
%{_libdir}/libgtk-vnc-2.0.so
%{_libdir}/pkgconfig/%{name}-2.0.pc
%dir %{_includedir}/%{name}-2.0/
%{_includedir}/%{name}-2.0/*.h
%{_datadir}/gir-1.0/GtkVnc-2.0.gir


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 Wang Guodong <gordonwwang@tencent.com> - 1.3.1-1
- Upgrade to version 1.3.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 15 2022 rockerzhu <rockerzhu@tencent.com> - 1.3.0-1
- Initial build
